mrlplot {POT} | R Documentation

## Threshold Selection: The Empirical Mean Residual Life Plot

### Description

The empirical mean residual life plot.

### Usage

    mrlplot(data, u.range, main, xlab, ylab, nt = max(100, length(data)),
    lty = rep(1,3), col = c('grey', 'black', 'grey'), conf = 0.95, lwd = c(1,
    1.5, 1), ...)

### Arguments

`data` | A numeric vector.
`u.range` | A numeric vector of length two, giving the limits for the thresholds at which the mean residual life plot is evaluated. If `u.range` is not given, sensible defaults are used.
`main` | Plot title.
`xlab, ylab` | x and y axis labels.
`nt` | The number of thresholds at which the mean residual life plot is evaluated.
`lty, col, lwd` | Arguments passed to `matplot`. The first and last elements of `lty` correspond to the lower and upper confidence limits respectively. Use zero to supress.
`conf` | The (pointwise) confidence coefficient for the plotted confidence intervals.
`...` | Other arguments to be passed to `matplot`.

### Details

The empirical mean residual life plot is the locus of points

{u,1/n_u ∑_{i=1}^{n_u} (x(i) - u)}

where x(1), …, x(n_u) are the n_u observations that exceed the threshold u. If the exceedances of a threshold u0 are generalized Pareto, the empirical mean residual life plot should be approximately linear for u > u0.

The confidence intervals within the plot are symmetric intervals based on the approximate normality of sample means.

### Value

A list with components `x` and `y` is invisibly returned. The components contain those objects that were passed to the formal arguments `x` and `y` of `matplot` in order to create the mean residual life plot.

### Author(s)

Stuart Coles and Alec Stephenson

### References

Coles, S. (2001) An Introduction to Statistical Modelling of Extreme Values. Springer Series in Statistics. London.

Embrechts, P., Kl\"uppelberg, C., and Mikosch, T. (1997) Modelling Extremal Events for Insurance and Finance.

### See Also

`fitgpd`, `matplot`, `tcplot`

### Examples

    data(ardieres)
    ardieres <- clust(ardieres, 4, 10 / 365, clust.max = TRUE)
    flows <- ardieres[, "obs"]
    mrlplot(flows)

[Package POT version 1.1-7 Index]